slashem (0.0.7E7F3-7) unstable; urgency=medium

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Vincent Cheng ]
  * Fix broken macro causing LINUX to not be defined on Linux systems.
    (Closes: #747274)
  * Fix FTBFS with clang. (Closes: #741371)
  * Add native systemd support.
    - Factor out the recovery logic from the slashem-common init script into a
      new script /usr/lib/games/slashem/recover-all.
    - Add a slashem-common.service invoking recover-all.  This service uses
      ConditionPathExistsGlob to only launch when files exist to recover,
      avoiding any extra processes at startup in the common case.
    - Build-Depends: debhelper (>= 9.20130504) for systemd support in
      dh_installinit.
    - Changes based on Josh Triplett's patchset for nethack systemd support.
  * Update my email address.
  * Update to Standards version 3.9.5.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 11 May 2014 23:52:38 -0700

slashem (0.0.7E7F3-6) unstable; urgency=low

  * Modify debian/patches/slashem-debian.patch to link explicitly with -lm
    to fix FTBFS on hurd.
  * Add lintian override for menu-command-not-in-package in slashem-x11
    (unintentionally removed in last upload).

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 18 May 2012 21:33:20 -0700

slashem (0.0.7E7F3-5) unstable; urgency=low

  * Modify debian/patches/slashem-debian.patch to fix FTBFS on kfreebsd
    (and maybe on hurd). (Closes: #672810)
    - Workaround FTBFS by disabling optimization (on non-Linux archs).
  * Add DEP-3 patch headers to existing patches.
  * Switch to dh 7 "rules.tiny" style debian/rules.
  * Enable build hardening.
  * Remove unused lintian overrides (menu-icon-missing).

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 17 May 2012 22:26:17 -0700

slashem (0.0.7E7F3-4) unstable; urgency=low

  * Add debian/patches/fix-libpng15-ftbfs.patch to fix FTBFS with libpng 1.5.
    (Closes: #649807)
  * Replace build-depends on libpng12-dev with libpng-dev. (Closes: #662505)
  * Add build-depends on zlib1g-dev.
  * Update Format header in debian/copyright to latest DEP-5 revision.
  * Fix syntax errors caught by lintian in debian/copyright.
  * Update Standards version from 3.9.2 to 3.9.3, no changes required.
  * Update debhelper compatiblity level from 8 to 9.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 10 May 2012 17:05:05 -0700

slashem (0.0.7E7F3-3) unstable; urgency=low

  * Adopt package; change maintainer field in debian/control to:
    Debian Games Team <pkg-games-devel@lists.alioth.debian.org>.
    (Closes: #632995)
  * Add myself to uploaders.
  * Update debian/copyright to conform to DEP-5.
  * Add Vcs-* entries in debian/control.
  * Added Homepage: field in debian/control.
  * Update source format to "3.0 (quilt)".
  * Migrate existing diff to quilt (debian/patches/slashem-debian.patch).
  * Update Standards version from 3.8.3 to 3.9.2, no changes required.
  * Update debhelper compatiblity level from 7 to 8.
  * Fix existing lintian errors/warnings.
    - To fix template-uses-unsplit-choices, a versioned build dependency on
      po-debconf (>= 1.0) has been added.
    - A new patch named "spelling-error.patch", added to debian/patches/.
  * Include Danish translation of slashem's debconf template, thanks to
    Joe Dalton. (Closes: #603212)
  * Fix a small typo in slashem-x11's desktop entry file. (Closes: #626768)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 13 Jul 2011 17:40:13 -0700

slashem (0.0.7E7F3-2) unstable; urgency=low

  * New maintainer is me (Closes: #516883)
    Thanks Peter Makholm for your work.
  * debian/control:
    - Bump Standards-Version to 3.8.3
    - Update debelper to 7
  * Update debian/compat to 7
  * Remove old and uneeded debian/NEWS
  * Add debian/watch file
  * Fix segfault using X11 mode (Closes: #142435)
  * Fix floating point exception (Closes: #80637)
  * Fix wrong X11 debian menu entry (Closes: #234260)

 -- Xavier Oswald <xoswald@debian.org>  Wed, 14 Oct 2009 18:50:06 +0200

slashem (0.0.7E7F3-1.4) unstable; urgency=low

  * Non-maintainer upload (l10n updates and some QA)
  * Drop useless calls to dh_desktop in debian/rules
  * Add ${misc:Depends} to binary packages dependencies to properly
    copy with dependencies triggerred by debhelper utilities
  * Replace ${Source-Version} by ${binary:Version} in packages
    dependencies (any-any dependency)
  * Replace build dependency on x-dev by x11proto-core-dev
    Closes: #515394
  * Add a lintian override in slashem and slashem-sdl binary packages
    to ignore a lintian warning about missing slashem.xpm that's provided
    by slashem-common
  * Correct slashem-sdl menu entry to properly test for the presence
    of slashem-sdl and not slashem-x11
  * Ditto for slashem-gtk
  * Load debconf confmodule in postinst
  * Have slashem-common pre-depend on debconf|debconf-2.0  as debconf is
    used in its preinst script
  * Add 0 and 6 in runlevels for which slashem-common init script should
    be called with "stop"
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #512877
    - Spanish (# traductor (campo Last-Translator) y ponga en copia a la
    lista de Fernando González de Requena).  Closes: #528244
    - Italian (Luca Monducci).  Closes: #549575

 -- Christian Perrier <bubulle@debian.org>  Mon, 05 Oct 2009 19:49:31 +0200

slashem (0.0.7E7F3-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues
  * Debconf translations:
    - Galician. Closes: #484147
    - Finnish. Closes: #497045
    - Russian. Closes: #497143
    - Basque. Closes: #497736

 -- Christian Perrier <bubulle@debian.org>  Mon, 08 Sep 2008 07:05:27 +0200

slashem (0.0.7E7F3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed bashism in debian/rules.  (Closes: #484438)

 -- Peter Eisentraut <petere@debian.org>  Thu, 10 Jul 2008 12:58:26 +0200

slashem (0.0.7E7F3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix debian/changelog encoding issue.
    Closes: #453967, #453969, #454018, #454020, #454029
  * Add LSB headers to init script. Closes: #465433

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 Feb 2008 22:28:01 +0100

slashem (0.0.7E7F3-1) unstable; urgency=low

  * New upstream release
  * Synced with slashem_0.0.7E7F2-3ubuntu1.patch
      * Generated slashem.xpm from sys/share/slashem.ico and added to
        slashem-common
      * Modified all .menu files to use icon
      * Added .desktop files for slashem-x11 slashem-gtk and slashem-sdl
    Thanks to Emmet Hikory <emmet.hikory@gmail.com> 
  * Dutch debconf translation by 'cobaco' (Closes: #414766)
  * Portuguese debconf translation by Luísa Lourenço (closes: #417926) 

 -- Peter Makholm <peter@makholm.net>  Tue, 08 May 2007 18:58:26 +0200

slashem (0.0.7E7F2-3) unstable; urgency=low

  * German debconf translations by Matthias Julius (Closes: 401133)

 -- Peter Makholm <peter@makholm.net>  Sat,  2 Dec 2006 11:03:22 +0000

slashem (0.0.7E7F2-2) unstable; urgency=low

  * Remove circular depencies. slashem-common now only reccomends the
    front ends. (Closes: #387439)
  * Remove outdated TODO.Debian

 -- Peter Makholm <peter@makholm.net>  Tue, 14 Nov 2006 16:35:52 +0000

slashem (0.0.7E7F2-1) unstable; urgency=low

  * new stable upstream (Closes: #321904)

 -- Peter Makholm <peter@makholm.net>  Fri, 20 Oct 2006 20:36:57 +0000

slashem (0.0.7E6F3-4.2) unstable; urgency=low

  * Non-maintainer upload
  * Split xlibs-dev build-dep (Closes: #346984)
  * debconf translations (Closes: #334224)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 23:46:49 +0100

slashem (0.0.7E6F3-4.1) unstable; urgency=low

  * 0-day NMU durring BSP
  * fix gcc 4.0 error (closes: #288536)
  * debconf translations (closes: #290390, #295080, #318375)

 -- Blars Blarson <blarson@blars.org>  Sun,  4 Sep 2005 03:49:14 +0000

slashem (0.0.7E6F3-4) unstable; urgency=low

  * Remove /var/games/slashem/{record,log,perm} from the package
    so upgrades after this version don't truncate these files neither
    should upgrades from pre-split versions (ie Woody) to this version.
    (Closes: #288724)
  * Switch to po-debconf [Martin Quinson] (Closes: #286857)
  * Reformat long descriptions for packages.debian.org
    thanks to Gerfried Fuchs (Closes: #288698)
  * Use XPM for building tiles (Closes: #288861)

 -- Peter Makholm <peter@makholm.net>  Fri,  7 Jan 2005 23:28:06 +0100

slashem (0.0.7E6F3-3) unstable; urgency=low

  * Use bison -y explicitly instead of yacc
  * Simplify build

 -- Peter Makholm <peter@makholm.net>  Thu, 23 Dec 2004 19:12:51 +0100

slashem (0.0.7E6F3-2) unstable; urgency=low

  * Use va_copy to copy va_list. Fixes FTBFS on some archs
    (Closes: #282691)

 -- Peter Makholm <peter@makholm.net>  Sat, 18 Dec 2004 18:43:06 +0100

slashem (0.0.7E6F3-1) unstable; urgency=low

  * New upstream (including all the fixes in the below cvs-version)
  * Recode changelog to utf-8

 -- Peter Makholm <peter@makholm.net>  Mon, 15 Nov 2004 21:00:55 +0100

slashem (0.0.7E6F2-2) unstable; urgency=low

  * Included bug fixes from the stable CVS-branch (SLASHEM_VAMPIRE)
  * Added Build-depends on libpng12-dev (Closes: #272007)
    Thanks to Javier Fernández-Sanguino Peña
  * Uploads new version to unstable (Closes: #238506)
  * Uploads version with better GUI-support to unstable (Closes: #140456,
    142119)
  * Fix postrm by sourcing .../debconf/confmodule (Closes: #264418)
    Thanks to Javier Fernández-Sanguino Peña
  * Added NEWS.Debian documenting the split up
  
 -- Peter Makholm <peter@makholm.net>  Wed, 27 Oct 2004 21:36:19 +0200

slashem (0.0.7E6F2-1) experimental; urgency=low

  * New upstream version

 -- Peter Makholm <peter@makholm.net>  Mon,  3 May 2004 19:25:52 +0200

slashem (0.0.7E6F1-4) experimental; urgency=low

  * Upgrade Standards-Version to 3.6.1
  * slashem-common.postinst shouldn't change owner nor access mode
    for any files (Closes: 244384)
  * Use 'set -e' in all maintainer scripts
  * slashem-common declares a 'Replaces' on pre-split versions
    of slashem (Closes: 244383)

 -- Peter Makholm <peter@makholm.net>  Mon, 19 Apr 2004 21:45:38 +0200

slashem (0.0.7E6F1-3) experimental; urgency=low

  * Debconfify backup of old savegames

 -- Peter Makholm <peter@makholm.net>  Mon, 12 Apr 2004 12:33:44 +0200

slashem (0.0.7E6F1-2) experimental; urgency=low

  * Correctly make slashem-sdl in group games.
  * Compress changelog and other files
  * Fix slashem-x11 menu file
  * Fix and update the copyright file
  * Install some preliminary manpages
  * Correct depencies for the slashem package
  * Upgrade Standards-Version to 3.6.0.
    Still some debconf-issues preventing us from declaring 3.6.1
  * Fix the extra license.gz

 -- Peter Makholm <peter@makholm.net>  Sun,  4 Apr 2004 13:40:32 +0200

slashem (0.0.7E6F1-1) experimental; urgency=low

  The Gehennom freezes over release

  * New upstream (Closes: #238506)
  * Make new package containing the Gtk and SDL window ports (Closes: #140456)
    It will take some more tweaking to get the Qt port to compile, help
    would be appreciated
  * Move the X11 window port to it's own package
    The binary is slashem-x11 and the configuration file is
    ${HOME}/.slashemrc-x11 (Closes: 142191)

  Still a lot to do before uploading to unstable. Please read the
  TODO.Debian file before filling any bugs, especially about
  non-documentedness.

 -- Peter Makholm <peter@makholm.net>  Sun, 21 Mar 2004 12:48:36 +0100

slashem (0.0.6E4F8-6) unstable; urgency=high

  * Fix buffer overflow in 'slashem -s' 

 -- Peter Makholm <peter@makholm.net>  Thu, 27 Feb 2003 22:16:10 +0100

slashem (0.0.6E4F8-5) unstable; urgency=high

  * Fix security problem with /etc/init.d/slashem (Closes: #147120)
    Zygo Blaxell discovered that a user in group games could get the recover script
    runned at boot to execute abitrary code. This could turn some minor exploits into 
    root-exploits.

 -- Peter Makholm <peter@makholm.net>  Fri, 17 May 2002 12:14:35 +0200

slashem (0.0.6E4F8-4) unstable; urgency=low

  * And fix Build-Depends so it builds on ia64, sparc and others.

 -- Peter Makholm <peter@makholm.net>  Sun,  7 Apr 2002 12:21:25 +0200

slashem (0.0.6E4F8-3) unstable; urgency=low

  * Fix syntax error in /etc/init.d slashem (Closes: #141592)
  
 -- Peter Makholm <peter@makholm.net>  Sun,  7 Apr 2002 12:07:35 +0200

slashem (0.0.6E4F8-2) unstable; urgency=low

  * Finally upgraded to Standard-Versions 3.5.6
  * Almost lintian-clean. Only a single warning left.

 -- Peter Makholm <peter@makholm.net>  Fri,  5 Apr 2002 19:21:59 +0200

slashem (0.0.6E4F8-1) unstable; urgency=low

  * New upstream (Closes: #140388)
  * Includes tiles for X11 (Closes: #135125)

 -- Peter Makholm <peter@makholm.net>  Mon,  1 Apr 2002 13:39:25 +0200

slashem (0.0.6E4F6-1) unstable; urgency=low

  * New upstream (Closes: #129995)
  * Marks stuff in /etc as conffiles (Closes: #132209)
    - From not uploaded NMU by Colin Watson <cjwatson@flatline.org.uk>
  * README.Debian contains no valid information --- removed
  
 -- Peter Makholm <peter@makholm.net>  Sun, 17 Feb 2002 13:03:07 +0100

slashem (0.0.6E4F4-1) unstable; urgency=low

  * New upstream

 -- Peter Makholm <peter@makholm.net>  Wed, 2 May 2001 22:31:10 +0200

slashem (0.0.6E4F3-1) unstable; urgency=low

  * New upstream

 -- Peter Makholm <peter@makholm.net>  Thu, 1 Mar 2001 12:54:37 +0100

slashem (0.0.6E4F1-1) unstable; urgency=low

  * New upstream

 -- Peter Makholm <peter@makholm.net>  Tue, 14 Nov 2000 09:15:16 +0100

slashem (0.0.6E4F0-1) unstable; urgency=low

  * New upstream
    (merged changes from nethack 3.3.1)
  
 -- Peter Makholm <peter@makholm.net>  Mon, 25 Sep 2000 07:56:51 +0200

slashem (0.0.6E3F1-1) unstable; urgency=low

  * New upstream

 -- Peter Makholm <peter@makholm.net>  Sat,  2 Sep 2000 17:59:24 +0200

slashem (0.0.6E2F1-1) unstable; urgency=low

  * New upstream

 -- Peter Makholm <peter@makholm.net>  Thu, 27 Jul 2000 20:21:42 +0200

slashem (0.0.6E1F3-1) unstable; urgency=low

  * New upstream

 -- Peter Makholm <peter@makholm.net>  Wed, 21 Jun 2000 06:43:40 +0200

slashem (0.0.6E1-1) unstable; urgency=low

  * New upstream.

 -- Peter Makholm <peter@makholm.net>  Sat, 15 Apr 2000 19:25:35 +0200

slashem (0.0.6E0F1-1) unstable; urgency=low

  * New Upstream version
  * Readded the X11 window-port

 -- Peter Makholm <peter@makholm.net>  Fri, 21 Jan 2000 21:47:44 +0100

slashem (0.0.6E0-1) unstable; urgency=low

  * New upstream version

 -- Peter Makholm <peter@makholm.net>  Wed, 19 Jan 2000 19:30:56 +0100

slashem (0.0.5E9-2) unstable; urgency=low

  * Fixed "unlimited HP"-bug
  * Format of record and logfile has changed since 5E7 but there
    is no way of telling which version an entry comes from.
  * Previous version wasn't uploaded.

 -- Peter Makholm <peter@makholm.net>  Sun, 16 Jan 2000 22:32:05 +0100

slashem (0.0.5E9-1) unstable; urgency=low

  * New Upstream
  * The great: Let's move on with Nethack 3.3.0 unix-release
  * Development branch, very unstable!

 -- Peter Makholm <peter@makholm.net>  Sat, 15 Jan 2000 12:51:06 +0100

slashem (0.0.5E7-3) unstable; urgency=low

  * Fixes bashism in preinst 

 -- Peter Makholm <peter@makholm.net>  Fri, 17 Dec 1999 11:44:28 +0100

slashem (0.0.5E7-2) unstable; urgency=low

  * Put human readable documentation in /usr/share/doc/slashem (SE029)
  * Fixes ./record bug (SE030)
  * A more general fix for wintty (SE031)
  * Added strategy guide

 -- Peter Makholm <peter@makholm.net>  Thu,  9 Dec 1999 20:02:54 +0100

slashem (0.0.5E7-1) unstable; urgency=low

  * New upstream
  * I think the color bug is fixed for now (Closes: #49748)
  * Oops: I removes old records if you had 5e5-2 or 5e6f1-1 installed.
  * Known bugs/features/Things I not sure are right:
    - It complains about ./record. (I know what's wrong)
    - The corridors are black on white
    Don't submit this as bugs!!!!

 -- Peter Makholm <peter@makholm.net>  Mon,  6 Dec 1999 22:58:58 +0100

slashem (0.0.5E6F1-1) unstable; urgency=low

  * New upstream source

 -- Peter Makholm <peter@makholm.net>  Wed, 10 Nov 1999 01:10:24 +0100

slashem (0.0.5E5-2) unstable; urgency=low

  * Fixed parameters to update-rc.d (Closes: #48941, #49028)
  * Handles making /var/games/slashem in postinst
  * redone /var/lib/games/slashem  -> /var/games/slashem strategy
    (Closes: #48941, #48964, #49704)
  * Patches from J. Ali Harlow, ali@avrc.city.ac.uk:
    - SE019 Chrashs when forcing locks
    - SE020 Added wizards commands in menus

 -- Peter Makholm <peter@makholm.net>  Wed,  3 Nov 1999 22:23:31 +0100

slashem (0.0.5E5-1) unstable; urgency=low

  * New upstream
  * Changed locking scheme (Closes: #45309)
  * Added recover and runs it at boot
  * moved /var/lib/games/slashem to /var/games/slashem

 -- Peter Makholm <peter@makholm.net>  Sat, 30 Oct 1999 10:57:01 +0200

slashem (0.0.5E4-4) unstable; urgency=low

  * Patches from J. Ali Harlow, ali@avrc.city.ac.uk:
    - SE006, SE007, SE009, SE010, SE012
  * Support for X
  * Menusupport
  * Standardsversion 3.0.1

 -- Peter Makholm <peter@makholm.net>  Mon,  6 Sep 1999 23:25:36 +0200

slashem (0.0.5E4-3) unstable; urgency=low

  * fixed compression of savegames

 -- Peter Makholm <peter@makholm.net>  Thu,  2 Sep 1999 23:05:50 +0200

slashem (0.0.5E4-2) unstable; urgency=low

  * Include Hobbit quest (oops)
  * Uses upstream Makefiles
  * The debian diffs didn't apply cleanly, so I reapplied it by hand.

 -- Peter Makholm <peter@makholm.net>  Sun, 29 Aug 1999 12:23:24 +0200

slashem (0.0.5E4-1) unstable; urgency=low

  * New upstream source

 -- Peter Makholm <peter@makholm.net>  Mon, 23 Aug 1999 21:42:19 +0200

slashem (0.0.5E3-2) unstable; urgency=low

  * Sane handling of #force without weapon (#42231)

 -- Peter Makholm <peter@makholm.net>  Tue,  3 Aug 1999 00:08:32 +0200

slashem (0.0.5E3-1) unstable; urgency=low

  * New upstream source
  * Save game compatible with 0.0.5E2

 -- Peter Makholm <peter@makholm.net>  Thu, 27 Jul 1999 07:57:33 +0200

slashem (0.0.5E2-1) unstable; urgency=low

  * New upstream source

 -- Peter Makholm <peter@makholm.net>  Thu, 22 Jul 1999 21:15:33 +0200

slashem (0.0.5E0-1) unstable; urgency=low

  * New upstream source

 -- Peter Makholm <peter@makholm.net>  Sat, 17 Jul 1999 18:22:27 +0200

slashem (0.0.4E9-1) unstable; urgency=low

  * New upstream source
  * Fixes postinst script

 -- Peter Makholm <peter@makholm.net>  Tue, 15 Jun 1999 20:47:28 +0200

slashem (0.0.4E5-4) unstable; urgency=low

  * It should now save and load bonefiles (fixes #34745)
  * Changed the numbers of topten entries to the values used
    in the nethack package
  * Includes Guidebook

 -- Peter Makholm <peter@makholm.net>  Wed, 24 Mar 1999 22:05:25 +0100

slashem (0.0.4E5-3) unstable; urgency=low

  * From the nethack_3.2.2-16 package:
    + Fixed the color bug (fixes #34305)
    + Uses IBMgraphics as default
    + More things to use /var/lib/games/slashem instead of
      /usr/lib/games/slashem
    + {record,logfile,perm} is handled in postinst and postrm
  * Made the man page mention SLASHEMOPTIONS instead of NETHACKOPTIONS

 -- Peter Makholm <peter@makholm.net>  Sun, 14 Mar 1999 23:52:00 +0100

slashem (0.0.4E5-2) unstable; urgency=low

  * Fixed use of dpkg (fixes #34262)
  * Changed some use of 'nethack' to 'slashem'

 -- Peter Makholm <peter@makholm.net>  Wed, 10 Mar 1999 19:00:39 +0100

slashem (0.0.4E5-1) unstable; urgency=low

  * Initial Release.

 -- Peter Makholm <peter@makholm.net>  Wed,  3 Mar 1999 21:13:02 +0100


